Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jms.extensions
Interface ClientSAF

    public interface ClientSAF

The JMS Client SAF (store-and-forward) feature enables JMS clients to enqueue messages on a local file system. These messages will then be forwarded to a back-end destination when the client becomes connected.

This interface allows client code to start and stop the Client SAF feature.

See Also:
  `ClientSAFFactory`

Method Summary
`void` | `close()` Stops the Client SAF system.
`Context` | `getContext()` A helper method that clients can use to get the naming context to use when looking up objects defined in the configuration file.
`boolean` | `isOpen()` Returns true if the Client SAF system is currently started.
`void` | `open(char[] password)` Starts the Client SAF system associated with this configuration.

Method Detail

### open

    void open(char[] password)
              throws JMSException

  Starts the Client SAF system associated with this configuration.

  Parameters:
    `password` - The password to use as the key to decrypt the passwords encrypted in the configuration.
  Throws:
    `JMSException` - If there was an error starting the Client SAF system or if the Client SAF system has already been started.

### close

    void close()

  Stops the Client SAF system. This method is idempotent. Once this object has been stopped, it cannot be started.

### isOpen

    boolean isOpen()

  Returns true if the Client SAF system is currently started.

  Returns:
    true if the Client SAF system is currently started

### getContext

    Context getContext()
                       throws JMSException

  A helper method that clients can use to get the naming context to use when looking up objects defined in the configuration file.

  This naming context can also be determined by using `javax.naming.InitialContext`. In the hashtable provided to the constructor, the user must provide:

  - `java.naming.provider.url` -- An URL to the configuration file.
  - `java.naming.security.credentials` -- The password key to unlock the passwords found in the configuration file.

  Returns:
    A naming context that clients can use to look up objects defined in the configuration file.
  Throws:
    `JMSException` - If the context could not be created or the Client SAF system is not currently started.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD